apiVersion: v1
kind: Namespace
metadata:
  name: team-a-demo-dev
  labels:
    istio-injection: enabled
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: reconciler
  namespace: team-a-demo-dev
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: admin
subjects:
  - kind: ServiceAccount
    name: reconciler
    namespace: gitops-tenant-team-a
